打开主题管理程序时出错<已解决>

为当前最终发行版之前的所有版本提供支持
回复
头像
hackem
帖子: 258
注册时间: 2006-10-19 21:42
来自: inside
送出感谢: 0
接收感谢: 0
联系:

打开主题管理程序时出错<已解决>

#1

帖子 hackem » 2007-01-06 20:24

我想配置主题管理,让窗口好看一点,我在终端下
sudo gnome-theme-manager
但显示如附件所示的错误,然后才找开。但直接在图形下不出错,在终端下不加sudo就不出错。
那么为什么加了sudo就会出错?
:?:
还有如何知道自己有没有安装WGTK,和怎么知道自己安装的版本?
附件
.png
.png (10.86 KiB) 查看 264 次
上次由 hackem 在 2007-01-13 20:59,总共编辑 1 次。
头像
TualatriX
帖子: 359
注册时间: 2006-11-17 20:07
来自: 杭州/宁波
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 TualatriX » 2007-01-06 21:41

大概没必要用Sudo的东西,用了Sudo,就会出错吧。哈哈。
IMTX:http://imtx.cn/

LDCN(已经关闭):http://linuxdesktop.cn/

Ubuntu Tweak:http://ubuntu-tweak.com/
头像
arli
帖子: 194
注册时间: 2006-11-24 11:00
来自: 太阳系第3行星
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 arli » 2007-01-07 2:01

加了sudo 是指目标以 root 来运行,所配置的结果也只是对root 帐号有效。。

而出错,是因为root 进程里无法启动 gnome setting 守护进程,因为不能在一个session 同时 running 二个 gnome,后一个 gnome 只不过是要连接 gnome setting 守护进程来显示(更新)当前所选择的主题的样子。。

所有 Perferences(首选项)里的“程序”都是对应当前帐号生效,没必要以 sudo 来运行,如果以sudo 来运行,其结果上面说过了(生效的将是root 帐号,而不是当前帐号)。。

但有些时候比如 gconf-editor 可以以sudo 来运行并改一下设置倒是需要的,比如gedit2 的encoding,因为经常会使用 sudo gedit 来编辑一些东西(如果不以 sudo 来运行 gconf-editor,生效的始终是当前帐号,对sudo gedit 无效)。。
要爱护linux 就象爱护我们的庄稼地一样
回复

回到 “老旧版本支持”